Frequently Asked Question

MacOS High Sierra compatibility
Last Updated 5 years ago

25th of sept 2017
MacOS High Sierra compatibility


Prior to upgrading your OS, shutdown your Drobo using Shutdown in the Drobo Dashboard, then perform the OS update.

Our current product line will work with MacOS High Sierra.

Regarding APFS, this is currently not supported. Drobo will support later this year.

For more information see "
Your Guide to High Sierra and Drobo"

NOTE:

There is a pop-up during install of Drobo Dashboard, you must "allow" this in order for the Drobo Dashboard to recognize Drobo.

If Drobo Dashboard does not recognize Drobo, go to System Preferences > Security & Privacy > General. Make sure “Allow apps downloaded from > App Store and identified developers” is checked

The current product line is listed here:

http://www.drobo.com/storage-products/

Community Forums:Our Community Forums are currently down, we are working to bring these back up. We thank you for your patience.

This website relies on temporary cookies to function, but no personal data is ever stored in the cookies.
OK

Loading ...